Non-fatal (?) Java 7 runtime requirement #15152

Closed
adamv opened this Issue Sep 27, 2012 · 6 comments

3 participants

@adamv

Software is coming out that requires JDK 7, such as #15148.

We'll need some sort of requirement or caveats or something for this, as we don't want to be flooded with bug reports from users (like me) who only have JDK6 on a machine.

@adamv

Also #12227.

@adamv

Closing because I lost interest.

@adamv adamv closed this Oct 14, 2012
@Sharpie Sharpie referenced this issue Dec 26, 2012
Closed

Jetty 9 #16748

@cooljeanius

Closing because I lost interest

Re-open please

@MikeMcQuaid
Homebrew member

@cooljeanius You should consider implementing this if you're interested.

@cooljeanius

I haven't ever written a requirement for Homebrew before (the only pull request I've submitted has been #16248 which was to add a brew-configure shell script); how would I go about doing that? As far as I can tell, the wiki only describes writing new formulae; it doesn't describe how to write new requirements...

Edit: @f104952 seems to be a good starting point to use as a template...

@xu-cheng xu-cheng locked and limited conversation to collaborators Feb 16, 2016
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.